Name:           egoboo
Version:        2.4.3
Release:        4%{?dist}
Summary:        A top down graphical (3D) RPG in the spirit of Nethack
Group:          Amusements/Games
License:        GPLv3
URL:            http://home.no.net/egoboo/
# this is http://home.no.net/egoboo/egosrc243.rar repackaged in tar.gz
Source0:        %{name}-%{version}.tar.gz
Source1:        %{name}.desktop
Source2:        KNOWN-BUGS.txt
Patch0:         %{name}-2.4.3-unix.patch
Patch1:         %{name}-2.4.3-opengl-wrapper.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  SDL_mixer-devel SDL_ttf-devel enet-devel desktop-file-utils
Requires:       %{name}-data = %{version}, opengl-games-utils

%description
Egoboo is a top down rpg in the spirit of Nethack and other games of the
Roguelike genre. It uses OpenGL graphics and will have randomly generated
maps and customizable characters. The objective of the project is to bring the
fun and depth of roguelike gameplay, kicking and screaming, into the third
dimension.


%prep
# Yes upstream put the wrong version in the base dir.
%setup -q -n egosrc234
%patch0 -p1
%patch1 -p1
cp -a %{SOURCE2} .
sed -i 's/\r//g' game/change.log game/Egoboodoc.txt
iconv -f ISO-8859-1 -t UTF8 game/change.log > ChangeLog


%build
# We override ENET_OBJ and LDFLAGS to use the system enet
make -C game ENET_OBJ= \
  CFLAGS="$RPM_OPT_FLAGS `sdl-config --cflags` -DENET11" \
  LDFLAGS="`sdl-config --libs` -lSDL_ttf -lSDL_mixer -lGL -lGLU -lenet"


%install
rm -rf $RPM_BUILD_ROOT
make -C game ENET_OBJ= install PREFIX=$RPM_BUILD_ROOT%{_prefix}

# below is the desktop file and icon stuff.
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
desktop-file-install --vendor fedora            \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  %{SOURCE1}


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
# note the end-users docs are in the -data package
%doc ChangeLog game/Egoboodoc.txt KNOWN-BUGS.txt
%{_bindir}/%{name}
%{_libexecdir}/%{name}
%{_datadir}/applications/fedora-%{name}.desktop


%changelog
* Thu Oct 25 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 2.4.3-4
- Fix yet another crash only occuring on i386 and another one only occuring
  when playing a paladin on x86_64 (bz 351171)

* Wed Oct 24 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 2.4.3-3
- Fix several hangs and crashes (bz 351171)

* Tue Oct  9 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 2.4.3-2
- Merge my unix port patches with the one found here:
  http://freegamer.schattenkind.net/index.php?t=msg&th=152
- Change license to GPLv3 after asking upstream for version clarification

* Sat Oct  6 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 2.4.3-1
- Initial Fedora package
